<?php
/**
 * SQLite Database Class - Definitions (PHP 5).
 *
 * @author Sascha 'SieGeL' Pfalz <php@saschapfalz.de>
 * @package db_SQLite
 * @version 0.20 (07-Aug-2010)
 * $Id: dbdefs.inc.php,v 1.3 2010/08/07 14:34:13 siegel Exp $
 * @license http://opensource.org/licenses/bsd-license.php BSD License
 */

/**
 * Default database filename to use for Connect() method.
 * @see Connect
 */
define('SQLITEDB_DEFAULT_DB' , '/tmp/test.dbf');

/**
 * Name of application using this class (used in print_error()).
 */
define('SQLITEDB_APPNAME' , 'SQLite_class');

/**
 * Modify default error handling mode if you wish.
 * Default is DBOF_SHOW_NO_ERRORS if you omit this parameter.
 */
define('SQLITEDB_ERRORMODE', db_SQLite::DBOF_SHOW_ALL_ERRORS);

/**
 * Set address to be shown in case of an error.
 * If this is not set the default address of $_SERVER['SERVER_ADMIN'] is used.
 */
//define('SQLITEDB_ADMINEMAIL' , 'your.email@address.com');

/**
 * Set this define to 1 if you want auto-emails to be sent whenever an
 * error occures. Default is 0 (disabled).
 */
define('SQLITEDB_SENTMAILONERROR', 0);

/**
 * You can define here additional parameters to be passed to the mail() call.
 * Some servers may need the "-f enter@your.mail" parameter for example.
 * Default is unset.
 */
//define('SQLITEDB_MAIL_EXTRAARGS' , '-fwebmaster@yourdomain.com');

/**
 * Set this define to 1 if you want to use persistant connections as default connection.
 * Default is 0, which means that sqlite_open is used instead of sqlite_popen.
 */
define('SQLITEDB_USE_PCONNECT', 1);
?>
