<?php
/**
 * Tests general class functions.
 * This script is used during development of the class itself.
 * @author Sascha 'SieGeL' Pfalz <php@saschapfalz.de>
 * @package db_SQLite
 * @subpackage Examples
 * @version 0.20 (07-Aug-2010)
 * $Id: test_general.php,v 1.4 2010/08/07 17:47:05 siegel Exp $
 * @license http://opensource.org/licenses/bsd-license.php BSD License
 * @filesource
 */
/**
 * Load in the general functions for all tests.
 */
require_once('functions.inc.php');

/** Define the name of the database to use for this example: */
define('SQLITEDB_TESTDB'  , '/tmp/test.dbf');

// Determine SAPI type
$d = WhichBR();

// Create new instance of class
$db = new db_SQLite();

// Before doing anything connect first!
$db->Connect(SQLITEDB_TESTDB);

if($d['SAPI'] != 'cli')
  {
  echo('<pre>');
  }

echo($d['LF'].'General Test for SQLite class'.$d['LF'].$d['LF']);

$rc = $db->Query('SELECT COUNT(*) AS TANZ FROM sqlite_master');

printf("PHP Version / SAPI type.........: %s / %s%s",phpversion(),$d['SAPI'],$d['LF']);
printf("SQLite class version............: %s%s",$db->GetClassVersion(),$d['LF']);
printf("SQLite library version..........: %s%s",$db->Version(),$d['LF']);
printf("Name and size of database file..: %s (%s bytes)%s",SQLITEDB_TESTDB,number_format(filesize(SQLITEDB_TESTDB)),$d['LF']);
printf("Number of objects in database...: %s%s",$rc['TANZ'],$d['LF']);

// Always disconnect when you don't need the database anymore
$db->Disconnect();

// Dump out all defined methods in the class:

$class_methods = get_class_methods('db_SQLite');
natcasesort ($class_methods);

printf("%sList of defined functions (%s) in SQLite class:%s%s",$d['LF'],count($class_methods),$d['LF'],$d['LF']);
$cnt = 1;
foreach ($class_methods as $method_name)
  {
  printf("%02d. %s%s",$cnt,$method_name,$d['LF']);
  $cnt++;
  }

DBFooter($d['LF'],$db);

echo($d['LF']);
exit;
?>
